Package org.silverpeas.mobile.server.services

## Class ServiceDocuments

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.mobile.server.services.AbstractRestWebService
    - - org.silverpeas.mobile.server.services.ServiceDocuments

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

      @WebService
      @Authorized
      @Path("mobile/documents/{appId}")
      public class ServiceDocuments
      extends AbstractRestWebService

  Service de gestion des GED.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `MAINSESSIONCONTROLLER_ATTRIBUT_NAME`

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceDocuments()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<TicketDTO>` | `deleteTickets​(String appId, List<TicketDTO> tickets)` |
    `AttachmentDTO` | `getAttachment​(String attachmentId, String appId)` |
    `String` | `getComponentId()` |
    `int` | `getDefaultSortValue​(String instanceId)` |
    `PublicationDTO` | `getNextPublication​(String instanceId, String id, String direction)` |
    `PublicationDTO` | `getPublication​(String id, String contributionId, String type)` |
    `List<PublicationDTO>` | `getPublications​(String instanceId, String topicId)` | Retourne les publications d'un topic (au niveau 1).
    `protected String` | `getResourceBasePath()` |
    `List<TicketDTO>` | `getTickets​(String appId, List<TicketDTO> tickets)` |
    `List<TopicDTO>` | `getTopics​(String instanceId, String rootTopicId)` | Retourne tous les topics de premier niveau d'un topic.
    `List<BaseDTO>` | `getTopicsAndPublications​(String instanceId, String rootTopicId)` |
    `String` | `getUserTopicProfile​(String nodeId, String componentId)` |
    `boolean` | `isTreeStructure​(String componentId)` |
    `PublicationDTO` | `publish​(String appId, String pubId)` |
    `void` | `validateUserAuthorization​(org.silverpeas.core.web.rs.UserPrivilegeValidation validation)` |

    - ### Methods inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `createStreamingList, getMainSessionController, getSettings, initSilverpeasSession, makeStreamingList, setMainsessioncontroller`

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Constructor Detail

    - #### ServiceDocuments

          public ServiceDocuments()

  - ### Method Detail

    - #### getTopics

          @GET
          @Produces("application/json")
          @Path("topics/{rootTopicId}")
          public List<TopicDTO> getTopics​(@PathParam("appId")
                                          String instanceId,
                                          @PathParam("rootTopicId")
                                          String rootTopicId)
                                   throws Exception

      Retourne tous les topics de premier niveau d'un topic.
      Throws:
        `Exception`

    - #### getUserTopicProfile

          public String getUserTopicProfile​(String nodeId,
                                            String componentId)

    - #### isTreeStructure

          public boolean isTreeStructure​(String componentId)

    - #### getDefaultSortValue

          public int getDefaultSortValue​(String instanceId)
                                  throws Exception

      Throws:
        `Exception`

    - #### getPublications

          @GET
          @Path("publications/{topicId}")
          @Produces("application/json")
          public List<PublicationDTO> getPublications​(@PathParam("appId")
                                                      String instanceId,
                                                      @PathParam("topicId")
                                                      String topicId)
                                               throws Exception

      Retourne les publications d'un topic (au niveau 1).
      Throws:
        `Exception`

    - #### getPublication

          @GET
          @Produces("application/json")
          @Path("publication/{id}")
          public PublicationDTO getPublication​(@PathParam("id")
                                               String id,
                                               @QueryParam("contributionId")
                                               String contributionId,
                                               @QueryParam("type")
                                               String type)

    - #### getTickets

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("tickets")
          public List<TicketDTO> getTickets​(@PathParam("appId")
                                            String appId,
                                            List<TicketDTO> tickets)
                                     throws Exception

      Throws:
        `Exception`

    - #### deleteTickets

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("deletetickets")
          public List<TicketDTO> deleteTickets​(@PathParam("appId")
                                               String appId,
                                               List<TicketDTO> tickets)
                                        throws Exception

      Throws:
        `Exception`

    - #### getAttachment

          @GET
          @Produces("application/json")
          @Consumes("application/json")
          @Path("attachment/{attachmentId}")
          public AttachmentDTO getAttachment​(@PathParam("attachmentId")
                                             String attachmentId,
                                             @PathParam("appId")
                                             String appId)
                                      throws Exception

      Throws:
        `Exception`

    - #### getTopicsAndPublications

          @GET
          @Path("topicsAndPublications/{rootTopicId}")
          @Produces("application/json")
          public List<BaseDTO> getTopicsAndPublications​(@PathParam("appId")
                                                        String instanceId,
                                                        @PathParam("rootTopicId")
                                                        String rootTopicId)
                                                 throws Exception

      Throws:
        `Exception`

    - #### getNextPublication

          @GET
          @Produces("application/json")
          @Path("nextpublication/{id}/{direction}")
          public PublicationDTO getNextPublication​(@PathParam("appId")
                                                   String instanceId,
                                                   @PathParam("id")
                                                   String id,
                                                   @PathParam("direction")
                                                   String direction)
                                            throws Exception

      Throws:
        `Exception`

    - #### publish

          @POST
          @Path("publish/{pubId}")
          @Produces("application/json")
          public PublicationDTO publish​(@PathParam("appId")
                                        String appId,
                                        @PathParam("pubId")
                                        String pubId)
                                 throws Exception

      Throws:
        `Exception`

    - #### getResourceBasePath

          protected String getResourceBasePath()

      Specified by:
        `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`

    - #### validateUserAuthorization

          public void validateUserAuthorization​(org.silverpeas.core.web.rs.UserPrivilegeValidation validation)

    - #### getComponentId

          public String getComponentId()